Subject: Re: GCC 2.95.3-1 available for testing
From: "Paul Garceau" <[email-masked]>
To: [email-masked]
Date: Sat, 24 Mar 2001 18:53:08 -0800

On 25 Mar 2001, at 14:21, the Illustrious Danny Smith wrote:

> 
> --- Christopher Faylor <[email-masked]> wrote: > On Sun, Mar 25, 2001 at
> 01:44:27PM +1200, Danny Smith wrote: > >cgf wrote: > >> On Sun, Mar 25,
> 2001 at 11:53:24AM +1200, Danny Smith wrote: > >>> Thanks for the
> upgrade to 2.95.3 > >>> > >>>2.95.3-1 works on my testcases with
> -mno-cygwin.  > >> > >with > >>>(2) explicit -I/usr/include/g++-3 to
> find G++ headers > > > >> This directory is searched automatically.  You
> shouldn't need the -I. > >> cgf > > > >It *is* without the -mno-cygwin,
> but  with > > > >g++ -c -H -mno-cygwin test_gcc.cpp > >I get: > > Sorry.
>  It searches /usr/includw/mingw/g++-3 explicitly.  Doesn't it > make
> sense to put the mingw headers there?  Are the headers generic > enough
> that this doesn't matter?  
> 
> The g++ headers in cygwin are *identical* to the ones that gcc make
> install put in my mingw package.
> 
> I think you'll probably want the
> > g++-v3 headers from the mingw release in /usr/include/mingw/g++-v3.

	I would agree with this (Me Too! <eg>), but then I think that anything 
mingw related (that uses the -mno-cygwin switch) should be kept apart 
from the Cygwin libs as much as possible...the directory structure is 
already there, might as well use it.  /usr/include/mingw/g++-v3 works 
for me.

	Peace,

		Paul G.

> > 
> > cgf
> > 
> > --
> > Want to unsubscribe from this list?
> > Check out: http://cygwin.com/ml/#unsubscribe-simple
> > 
> 
> 
> ________________________________________________________________________
> _____ http://calendar.yahoo.com.au - Yahoo! Calendar - Access your
> appointments and meetings online.
> 
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple
> 
> 

Nothing real can be threatened.
    Nothing unreal exists.

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple